Skip to main content
GET
/
v2
/
vaults
List vaults
curl --request GET \
  --url https://api.vaults.fyi/v2/vaults \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.vaults.fyi/v2/vaults"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.vaults.fyi/v2/vaults', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "itemsOnPage": 123,
  "data": [
    {
      "vaultId": "<string>",
      "address": "<string>",
      "name": "<string>",
      "network": {
        "chainId": 123,
        "networkCaip": "<string>"
      },
      "asset": {
        "address": "<string>",
        "assetCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "assetGroup": "<string>",
        "assetLogo": "<string>",
        "assetPriceInUsd": "<string>"
      },
      "isTransactional": true,
      "isAppFeatured": true
    }
  ],
  "nextPage": 123
}
{
  "statusCode": 123,
  "error": "Bad Request",
  "message": "<string>",
  "errorId": "<string>"
}
{
  "error": "Unauthorized",
  "message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
  "errorId": "<string>"
}
{
  "x402Version": 123,
  "resource": {
    "url": "<string>",
    "description": "<string>",
    "mimeType": "<string>",
    "serviceName": "<string>",
    "tags": [
      "<string>"
    ],
    "iconUrl": "<string>"
  },
  "error": "<string>",
  "accepts": [
    {
      "scheme": "exact",
      "network": "<string>",
      "amount": "<string>",
      "payTo": "<string>",
      "maxTimeoutSeconds": 123,
      "asset": "<string>",
      "extra": {
        "name": "<string>",
        "version": "<string>"
      }
    }
  ],
  "extensions": {}
}
{
  "error": "Forbidden",
  "message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
  "errorId": "<string>"
}
{
  "error": "Not Found",
  "message": "<string>"
}
{
  "message": "<string>",
  "errorId": "<string>"
}
{
  "statusCode": 123,
  "error": "Unprocessable Entity",
  "message": "<string>",
  "errorId": "<string>"
}
{
  "error": "Internal Server Error",
  "message": "<string>",
  "errorId": "<string>"
}
{
  "statusCode": 123,
  "error": "Service Unavailable",
  "message": "<string>",
  "errorId": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 5000
network
enum<string>

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
robinhood,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793,
eip155:4663
assetSymbol
string

Include only vaults with an asset of provided symbol(ticker)

Minimum string length: 1
onlyTransactional
boolean

Include only vaults that are supported in the transactional interface.

Include only vaults that are featured in app.vaults.fyi

allowCorrupted
boolean
default:false

Allow inclusion of corrupted vaults.

Response

Default Response

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
nextPage
integer

Next page number